Skip to main content
PATCH
/
payments
/
{payment_id}
Update payment
curl --request PATCH \
  --url https://api.zenskar.com/payments/{payment_id} \
  --header 'Content-Type: application/json' \
  --header 'organisation: <api-key>' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "payment_parts": [
    {
      "invoice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "amount": 123
    }
  ]
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "amount": "<string>",
  "amount_refunded": "<string>",
  "currency_code": "<string>",
  "status": "in_progress",
  "customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "customer_name": "<string>",
  "customer_email": "<string>",
  "customer_external_id": "<string>",
  "connector_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "connector_name": "<string>",
  "organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "external_id": "<string>",
  "payment_method": "card",
  "payment_method_details": {},
  "type": "payment",
  "parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "invoices": [
    {
      "invoice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "payment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "amount": "<string>",
      "amount_refunded": "<string>",
      "currency_code": "<string>",
      "invoice_number": "<string>",
      "status": "draft",
      "invoice_total": "<string>",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "timestamp": "2023-11-07T05:31:56Z",
  "transactions": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "amount": "<string>",
      "currency_code": "<string>",
      "payment": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "status": "in_progress",
      "customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "connector_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "external_id": "<string>",
      "payment_method": "card",
      "payment_method_details": {},
      "reference_number": "<string>",
      "description": "<string>",
      "error_code": "<string>",
      "error_text": "<string>",
      "settled_at": "2023-11-07T05:31:56Z",
      "voided_at": "2023-11-07T05:31:56Z",
      "timestamp": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "deleted_at": "2023-11-07T05:31:56Z",
      "payment_type": "<string>"
    }
  ],
  "error_text": "<string>",
  "created_at": "<string>",
  "receipt_number": "<string>",
  "balance_transactions": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs2.zenskar.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
default:<your-api-key>
required
organisation
string
header
default:<your-organisation-id>
required

Path Parameters

payment_id
string<uuid>
required

Body

application/json

Update Payment Request Schema

payment_parts
PaymentPart · object[] | null

Payment Parts

Response

Successful Response

Payment Response Schema

id
string<uuid>
required

Payment Id

amount
string
required
amount_refunded
string
required
currency_code
string
required
status
enum<string> | null
required

Payment Status

Available options:
in_progress,
requires_action,
pending_charge,
authorized,
created,
success,
voided,
failed,
canceled,
refunded,
partially_refunded,
other
customer_id
string<uuid> | null
customer_name
string | null
customer_email
string | null
customer_external_id
string | null
connector_id
string<uuid> | null
connector_name
string | null
organisation_id
string<uuid> | null
external_id
string | null
payment_method
enum<string> | null
Available options:
card,
cash,
check,
charge_back,
bank_transfer,
direct_debit,
amazon_payments,
paypal_express_checkout,
upi,
netbanking_emandates,
other,
credits,
ach_credit_transfer
payment_method_details
Payment Method Details · object
type
enum<string> | null
Available options:
payment,
refund,
payment_reversal,
authorization,
tax_withheld
parent_id
string<uuid> | null
invoices
InvoiceAmounts · object[] | null
timestamp
string<date-time> | null
transactions
TransactionResponseSchema · object[] | null
error_text
string | null

Error Message

created_at
string | null

created_at

receipt_number
string | null

receipt_number

balance_transactions
Balance Transactions · object

balance_transactions